package com.lz.modules.flow.dao;
/**
* <p>
* 流程管理表 服务类
* </p>
*
* @author quyixiao
* @since 2020-09-22
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lz.modules.flow.entity.FlowManager;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface FlowManagerMapper extends BaseMapper<FlowManager> {


	FlowManager selectFlowManagerById(@Param("id") Long id);


	Long insertFlowManager(FlowManager flowManager);


	int updateFlowManagerById(FlowManager flowManager);


	int updateCoverFlowManagerById(FlowManager flowManager);


	int deleteFlowManagerById(@Param("id") Long id);


	List<FlowManager> selectByCondition(@Param("page") IPage page, @Param("params") Map<String, Object> params);
}